Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class RecipientInfo.Recipient

    java.lang.Object
      portlets.compoze.groupware.RecipientInfo.Recipient

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RecipientInfo.UnresolvedRecipient

Enclosing class:
  RecipientInfo

public static class RecipientInfo.Recipient
extends java.lang.Object
implements java.io.Serializable

This class represents a recipient.

See Also:
  Serialized Form

Field Summary
`static int` | `RECIPIENT_TYPE_BCC`
`static int` | `RECIPIENT_TYPE_CC`
`static int` | `RECIPIENT_TYPE_TO`

Constructor Summary
`RecipientInfo.Recipient()` Constructor.
`RecipientInfo.Recipient(int iIndex, java.lang.String sEmailAddress, java.lang.String sDisplayName)` Constructor.
`RecipientInfo.Recipient(int iIndex, java.lang.String sEmailAddress, java.lang.String sDisplayName, int iType, java.lang.String sID)` Constructor.
`RecipientInfo.Recipient(RecipientInfo.Recipient recipient)` Constructor.

Method Summary
`java.lang.String` | `getDisplayName()` Gets the display name.
`java.lang.String` | `getEmailAddress()` Gets the email address.
`java.lang.String` | `getID()` Gets the recipient ID.
`int` | `getIndex()` Gets the index.
`int` | `getType()` Gets the recipient type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RECIPIENT_TYPE_TO

    public static final int RECIPIENT_TYPE_TO

See Also:
  Constant Field Values

### RECIPIENT_TYPE_CC

    public static final int RECIPIENT_TYPE_CC

See Also:
  Constant Field Values

### RECIPIENT_TYPE_BCC

    public static final int RECIPIENT_TYPE_BCC

See Also:
  Constant Field Values

Constructor Detail

### RecipientInfo.Recipient

    public RecipientInfo.Recipient()

  Constructor.

### RecipientInfo.Recipient

    public RecipientInfo.Recipient(int iIndex,
                                   java.lang.String sEmailAddress,
                                   java.lang.String sDisplayName)

  Constructor.

Parameters:
  `iIndex` - the recipient index
  `sEmailAddress` - the email address (may not be `null`)
  `sDisplayName` - the display name

### RecipientInfo.Recipient

    public RecipientInfo.Recipient(RecipientInfo.Recipient recipient)

  Constructor.

### RecipientInfo.Recipient

    public RecipientInfo.Recipient(int iIndex,
                                   java.lang.String sEmailAddress,
                                   java.lang.String sDisplayName,
                                   int iType,
                                   java.lang.String sID)

  Constructor.

Parameters:
  `iIndex` - the recipient index
  `sEmailAddress` - the email address (may not be `null`)
  `sDisplayName` - the display name
  `iType` - the recipient type
  `sID` - the recipient ID (may not be `null`)

Method Detail

### getIndex

    public int getIndex()

  Gets the index.

  Returns:
    the index

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name.

  Returns:
    the display name of the recipient

### getEmailAddress

    public java.lang.String getEmailAddress()

  Gets the email address.

  Returns:
    the email address of the recipient

### getType

    public int getType()

  Gets the recipient type.

  Returns:
    the type of the recipient

### getID

    public java.lang.String getID()

  Gets the recipient ID.

  Returns:
    the ID of the recipient

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.